/*
** Localfix.c
*/

/*
** Note: This file is for site-specific modifications.  It is not included
** in the build command files, but must be compiled and linked with if you
** decide to use it.
*/

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <unixlib.h>

/*
** sys_getenv()
**      get the logical name or symbol translation
**	capitalize everything before it gets passed into getenv(), since
**	VMS capitalize all its logical name and symbols
**	returns a NULL if it doesn't have a translation
*/
char *sys_getenv(char *input)
{
  int i;

  for (i=0;input[i];i++)
    if (islower((int)input[i])) input[i] = (char) toupper(input[i]);
  return( (char *) getenv(input));
}
